<?php

namespace WSQuickShine;

/**
 * Class which returns the class map definition
 * @package WSQuickShine
 */
class WSQuickShineClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'IniciarSesion' => '\\WSQuickShine\\StructType\\WSQuickShineIniciarSesion',
            'IniciarSesionResponse' => '\\WSQuickShine\\StructType\\WSQuickShineIniciarSesionResponse',
            'ValidaToken' => '\\WSQuickShine\\StructType\\WSQuickShineValidaToken',
            'ValidaTokenResponse' => '\\WSQuickShine\\StructType\\WSQuickShineValidaTokenResponse',
            'EncriptarSHA256' => '\\WSQuickShine\\StructType\\WSQuickShineEncriptarSHA256',
            'EncriptarSHA256Response' => '\\WSQuickShine\\StructType\\WSQuickShineEncriptarSHA256Response',
            'DesencriptarSHA256' => '\\WSQuickShine\\StructType\\WSQuickShineDesencriptarSHA256',
            'DesencriptarSHA256Response' => '\\WSQuickShine\\StructType\\WSQuickShineDesencriptarSHA256Response',
            'InsertarCliente' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCliente',
            'InsertarClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarClienteResponse',
            'EditarCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCliente',
            'EditarClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarClienteResponse',
            'EstatusCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusCliente',
            'EstatusClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusClienteResponse',
            'InsertarProducto' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarProducto',
            'InsertarProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarProductoResponse',
            'EstatusProducto' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusProducto',
            'EstatusProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusProductoResponse',
            'ConceptoContProducto' => '\\WSQuickShine\\StructType\\WSQuickShineConceptoContProducto',
            'ConceptoContProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineConceptoContProductoResponse',
            'InsertarFactura' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarFactura',
            'InsertarFacturaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarFacturaResponse',
            'EstatusFactura' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusFactura',
            'EstatusFacturaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusFacturaResponse',
            'CancelarFactura' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarFactura',
            'CancelarFacturaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarFacturaResponse',
            'InsertarNotaCreditoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarNotaCreditoCliente',
            'InsertarNotaCreditoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarNotaCreditoClienteResponse',
            'CancelarNotaCreditoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarNotaCreditoCliente',
            'CancelarNotaCreditoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarNotaCreditoClienteResponse',
            'EstatusNotaCreditoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusNotaCreditoCliente',
            'EstatusNotaCreditoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusNotaCreditoClienteResponse',
            'InsertarTipoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarTipoCliente',
            'InsertarTipoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarTipoClienteResponse',
            'InsertarCiudad' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCiudad',
            'InsertarCiudadResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCiudadResponse',
            'InsertarEstado' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarEstado',
            'InsertarEstadoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarEstadoResponse',
            'InsertarPais' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarPais',
            'InsertarPaisResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarPaisResponse',
            'EditarTipoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEditarTipoCliente',
            'EditarTipoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarTipoClienteResponse',
            'EditarCiudad' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCiudad',
            'EditarCiudadResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCiudadResponse',
            'EditarEstado' => '\\WSQuickShine\\StructType\\WSQuickShineEditarEstado',
            'EditarEstadoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarEstadoResponse',
            'EditarPais' => '\\WSQuickShine\\StructType\\WSQuickShineEditarPais',
            'EditarPaisResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarPaisResponse',
            'EliminarTipoCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarTipoCliente',
            'EliminarTipoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarTipoClienteResponse',
            'EliminarCiudad' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCiudad',
            'EliminarCiudadResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCiudadResponse',
            'EliminarEstado' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarEstado',
            'EliminarEstadoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarEstadoResponse',
            'EliminarPais' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarPais',
            'EliminarPaisResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarPaisResponse',
            'InsertarMetodoPago' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarMetodoPago',
            'InsertarMetodoPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarMetodoPagoResponse',
            'EditarMetodoPago' => '\\WSQuickShine\\StructType\\WSQuickShineEditarMetodoPago',
            'EditarMetodoPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarMetodoPagoResponse',
            'EliminarMetodoPago' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarMetodoPago',
            'EliminarMetodoPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarMetodoPagoResponse',
            'InsertarCondicionesPago' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCondicionesPago',
            'InsertarCondicionesPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCondicionesPagoResponse',
            'EditarCondicionesPago' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCondicionesPago',
            'EditarCondicionesPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCondicionesPagoResponse',
            'EliminarCondicionesPago' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCondicionesPago',
            'EliminarCondicionesPagoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCondicionesPagoResponse',
            'InsertarIVA' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarIVA',
            'InsertarIVAResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarIVAResponse',
            'EditarIVA' => '\\WSQuickShine\\StructType\\WSQuickShineEditarIVA',
            'EditarIVAResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarIVAResponse',
            'EliminarIVA' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarIVA',
            'EliminarIVAResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarIVAResponse',
            'EliminarBanco' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarBanco',
            'EliminarBancoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarBancoResponse',
            'EditarBanco' => '\\WSQuickShine\\StructType\\WSQuickShineEditarBanco',
            'EditarBancoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarBancoResponse',
            'InsertarBanco' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarBanco',
            'InsertarBancoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarBancoResponse',
            'InsertarCuentaBancaria' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCuentaBancaria',
            'InsertarCuentaBancariaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCuentaBancariaResponse',
            'EditarCuentaBancaria' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCuentaBancaria',
            'EditarCuentaBancariaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarCuentaBancariaResponse',
            'EliminarCuentaBancaria' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCuentaBancaria',
            'EliminarCuentaBancariaResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarCuentaBancariaResponse',
            'PuedeInsertarFactura' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarFactura',
            'PuedeInsertarFacturaResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarFacturaResponse',
            'PuedeCancelarFactura' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarFactura',
            'PuedeCancelarFacturaResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarFacturaResponse',
            'PuedeInsertarNotaCreditoCliente' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarNotaCreditoCliente',
            'PuedeInsertarNotaCreditoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarNotaCreditoClienteResponse',
            'PuedeCancelarNotaCreditoCliente' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarNotaCreditoCliente',
            'PuedeCancelarNotaCreditoClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarNotaCreditoClienteResponse',
            'EditarProducto' => '\\WSQuickShine\\StructType\\WSQuickShineEditarProducto',
            'EditarProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarProductoResponse',
            'InsertarRegimenFiscal' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarRegimenFiscal',
            'InsertarRegimenFiscalResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarRegimenFiscalResponse',
            'EditarRegimenFiscal' => '\\WSQuickShine\\StructType\\WSQuickShineEditarRegimenFiscal',
            'EditarRegimenFiscalResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarRegimenFiscalResponse',
            'EliminarRegimenFiscal' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarRegimenFiscal',
            'EliminarRegimenFiscalResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarRegimenFiscalResponse',
            'InsertarCobranzaCliente' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCobranzaCliente',
            'InsertarCobranzaClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarCobranzaClienteResponse',
            'CancelarCobranzaCliente' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarCobranzaCliente',
            'CancelarCobranzaClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineCancelarCobranzaClienteResponse',
            'EstatusCobranzaCliente' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusCobranzaCliente',
            'EstatusCobranzaClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEstatusCobranzaClienteResponse',
            'PuedeInsertarCobranzaCliente' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarCobranzaCliente',
            'PuedeInsertarCobranzaClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeInsertarCobranzaClienteResponse',
            'PuedeCancelarCobranzaCliente' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarCobranzaCliente',
            'PuedeCancelarCobranzaClienteResponse' => '\\WSQuickShine\\StructType\\WSQuickShinePuedeCancelarCobranzaClienteResponse',
            'InsertarTipoProducto' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarTipoProducto',
            'InsertarTipoProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarTipoProductoResponse',
            'EditarTipoProducto' => '\\WSQuickShine\\StructType\\WSQuickShineEditarTipoProducto',
            'EditarTipoProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarTipoProductoResponse',
            'EliminarTipoProducto' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarTipoProducto',
            'EliminarTipoProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarTipoProductoResponse',
            'InsertarSerieFranquicias' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarSerieFranquicias',
            'InsertarSerieFranquiciasResponse' => '\\WSQuickShine\\StructType\\WSQuickShineInsertarSerieFranquiciasResponse',
            'EditarSerieFranquicias' => '\\WSQuickShine\\StructType\\WSQuickShineEditarSerieFranquicias',
            'EditarSerieFranquiciasResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEditarSerieFranquiciasResponse',
            'EliminarSerieFranquicias' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarSerieFranquicias',
            'EliminarSerieFranquiciasResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarSerieFranquiciasResponse',
            'EliminarProducto' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarProducto',
            'EliminarProductoResponse' => '\\WSQuickShine\\StructType\\WSQuickShineEliminarProductoResponse',
        );
    }
}
